%bcond_without check

# https://github.com/cncf-tags/container-device-interface
%global goipath    tags.cncf.io/container-device-interface
%global forgeurl   https://github.com/cncf-tags/container-device-interface
%global tag        v0.7.2
%gometa -L -f


%global common_description %{expand:
The Container Device Interface (CDI) describes a mechanism for container runtimes to create 
containers which are able to interact with third party devices.

For third party devices, it is often the case that interacting with these devices require 
container runtimes to expose more than a device node. For example, a third party device might 
require you to have kernel modules loaded, host libraries mounted or specific procfs path exposed/masked.

This package provides Go bindings for the CDI spec.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md SECURITY.md code-of-conduct.md\\\
                        README.md SPEC.md

Name:              %{goname}
Version:           0.7.2
Release:           %autorelease
Summary:           Go Bindings for the Container Device Interface (CDI) Specification

License:           Apache-2.0
URL:               %{gourl}
Source:            %{gosource}

%description %{common_description}

%gopkg


%prep
%goprep
%autopatch -p1


%generate_buildrequires
%go_generate_buildrequires


%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done


%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
%gopkginstall


%if %{with check}
%check
%gocheck
%endif


%files
%license LICENSE
%doc CONTRIBUTING.md SECURITY.md code-of-conduct.md README.md SPEC.md
%{_bindir}/*
%gopkgfiles


%changelog
%autochangelog
